#### D.2.3.19 timeFactorize

Procedure from library `general.lib` (see general_lib).

Usage:
  timeFactorize(p,d); poly p , integer d

Return:
  factorize(p) if the factorization finished after d-1
  seconds otherwhise f is considered to be irreducible

Example:

    LIB "general.lib";
    ring r=0,(x,y),dp;
    poly p=((x2+y3)^2+xy6)*((x3+y2)^2+x10y);
    p=p^2;
    //timeFactorize(p,2);
    //timeFactorize(p,20);

User manual for Singular version 4-0-3, 2016, generated by texi2html.